{% extends "lab_7/layout/base.html" %}
{% block content %}
<section name="friend-list" class="friend-list">
    <div class="container">
        <div class="row">
          <div class="col-md-8 col-lg-12">
            <h2>{{ friend.friend_name }} </h2>
          </div>
            <div class="col-md-8 col-lg-12">
                <table width="100%">
                  <tr>
                    <td><h4>NPM</h4></td>
                    <td><h4>{{ friend.npm }}</h4></td>
                  </tr>
                  <tr>
                    <td><h4>Prodi</h4></td>
                    <td><h4>{{ friend.prodi }}</h4></td>
                  </tr>
                  <tr>
                    <td><h4>TTL</h4>
                    <td><h4>{{ friend.ttl }}</h4></td>
                  </tr>
                  <tr>
                    <td><h4>Alamat</h4></td>
                    <td><h4 id="address">{{ friend.alamat }}</h4></td>
                </tr>
              </table>
            </div>
        </div>
    </div>
    <div class="container">
      <div id="googleMap" style="width:300px; height:200px; margin: 50px 0"></div>
    </div>
    <div>
    </div>
</section>
{% endblock %}
{% block javascript %}
<script>
  console.log($("#address").text());
  var address = $("#address").text();
  
  function initMap() {
    var geocoder = new google.maps.Geocoder();
    geocoder.geocode({'address': address}, function(results, status) {
      if (status === google.maps.GeocoderStatus.OK) {
        var propertiPeta = {
          center: results[0].geometry.location,
          zoom: 15,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        var peta = new google.maps.Map(document.getElementById("googleMap"), propertiPeta);
        var marker = new google.maps.Marker({
          map: peta,
          position: results[0].geometry.location
        });
      } else {
        var html = '<div class="alert alert-danger text-center">\
                              Lokasi tidak ditemukan!\
                            </div>';
                $("#googleMap").append(html)
      }
    });
  }
</script>
{% endblock %}
